// Launch options: -console -novid -threads 4 -high -nojoy

echo ""
echo "__________  _____               .__     _____          __                                      "
echo "\______   \/  _  \______________|__|   /  _  \  __ ___/  |_  ____   ____ ___  ___ ____   ____  "
echo " |     ___/  /_\  \_  __ \___   /  |  /  /_\  \|  |  \   __\/  _ \_/ __ \\  \/  // __ \_/ ___\ "
echo " |    |  /    |    \  | \//    /|  | /    |    \  |  /|  | (  <_> )  ___/ >    <\  ___/\  \___ "
echo " |____|  \____|__  /__|  /_____ \__| \____|__  /____/ |__|  \____/ \___  >__/\_ \\___  >\___  >"
echo "                 \/            \/            \/                        \/      \/    \/     \/ "
echo ""
echo "Saved in <Steam Library>\SteamApps\common\Counter-Strike Global Offensive\csgo\cfg"

//---- KEYBINDS ----//
alias cBind "use weapon_knife; use weapon_smokegrenade"
alias fBind "use weapon_knife; use weapon_flashbang"
alias xBind "use weapon_knife; use weapon_hegrenade"

bind "c" "cBind" // Cmokegrenade
bind "f" "fBind" // Flash
bind "x" "xBind" // eXplosive grenade
bind "y" "use weapon_knife; use weapon_incgrenade; use weapon_molotov"

// alias eBind "+use; r_cleardecals"
bind "alt" "+lookatweapon"
bind "h" "use weapon_knife; use weapon_c4; drop;"
bind "MOUSE4" "+voicerecord"
bind "i" "toggleconsole"
bind "capslock" "noclip"
bind "j" "messagemode"
bind "z" "+spray_menu"
bind "shift" "+speed; r_cleardecals"
bind "n" "toggle net_graph"
// bind "e" "eBind"

// I have custom radio panels!
bind "mouse3" "player_ping"
bind "k" "radio2" // konfiguration
bind "p" "radio3" // practice

bind "l" "demoui"
bind "o" "toggle spec_show_xray 0 1; playgamesound Buttons.snd10"

// Zoom (.) and unzoom (,) radar
bind "." "incrementvar cl_radar_scale 0.2 1.1 0.025; cl_radar_scale"
bind "," "incrementvar cl_radar_scale 0.2 1.1 -0.025; cl_radar_scale"

alias +knife "slot3"
alias -knife "lastinv"
bind MOUSE5 +knife

alias "+jumpthrow" "+jump;-attack"
alias "-jumpthrow" "-jump"
bind t "+jumpthrow"

// Let q always go to primary weapon or to secondary if primary is equipped
alias qprim "slot2; slot1; bind q qsec"
alias qsec "slot2; bind q qprim"

bind q qprim
bind 1 "slot1; bind q qsec"
bind 2 "slot2; bind q qprim"
bind 3 "slot3; bind q qprim"
bind 4 "slot4; bind q qprim"

// Zoom radar with middle mouse?
// Maybe enable/disable cl_radar_rotate? Maybe adjust icon size with cl_radar_icon_scale_min (default 0.6)
cl_radar_always_centered 0
cl_radar_scale 0.3
cl_hud_radar_scale 1

alias q disconnect
alias qq quit
alias qqq quit

//---- SETTINGS ---- //
// Ingame
cl_autowepswitch "0"
cl_showloadout "1" // Show inventory on the lower right side
gameinstructor_enable "0"
// "Press F to inspect your weapon" and others
cl_showhelp 0
// "You've spotted an enemy" and others
cl_autohelp 1
// Zooming into cross eyes stupid CT faces, when they killed you
cl_disablefreezecam 1
hud_showtargetid "1"
hud_scaling 0.89
cl_show_clan_in_death_notice "0" // I often mistake a players clan tag for the name
net_graph "1"
net_graphheight "50"

// Make sure these are set properly at the start of the game
voice_scale 1
cl_mute_enemy_team 0

m_rawinput "1"
m_customaccel "0"
m_mouseaccel1 "0"
m_mouseaccel2 "0"
sensitivity 1.83

// This lets friend join community server through the Steam menu
cl_join_advertise 2

// Network
cl_forcepreload 1 // Preload all assets so they won't be loaded in game
cl_cmdrate "128" // 128 tick servers require this rate (64 will default to 64 for you, no need to edit)
cl_updaterate "128" // 128 tick servesr require this rate (64 will default to 64 for you, no need to edit)
cl_interp_ratio 1 // Number of ticks interpolated. Default is 2
cl_interp 0 // cl_interp_ratio / cl_updaterate. 0 makes cs go calculate it itself
rate "80000" // This is your client rate, you may need to lower it if your net speed cannot keep up

// Sound
windows_speaker_config "1"
snd_mixahead "0.1"

// Viewmodel, small to the front, down, to the right
viewmodel_offset_x "2.5" 
viewmodel_offset_y "2.0" 
viewmodel_offset_z "-2.0" 
viewmodel_fov "69" 

// Less bobbing
cl_bobamt_lat "0"
cl_bobamt_vert "0"
// How far the gun will go back when you move
cl_bob_lower_amt "0" 
// How far your gun will go to the middle, when you crouch/walk/stand
cl_viewmodel_shift_left_amt "0"
cl_viewmodel_shift_right_amt "0"

// Display damage in top left
con_filter_text "Damage"
con_filter_text_out "Player:"
con_filter_enable "2"
developer "1"

//---- CROSSHAIRS ----//
alias ch_standard "exec ch_standard"
alias ch_box "exec ch_box"
alias ch_dynamic "exec ch_dynamic"
alias ch_dual_dyn "exec ch_dual_dyn"
alias ch_col_green "exec ch_col_green"
alias ch_col_white "exec ch_col_white"

//---- BUY BINDS ---- -- http://csgobindsgenerator.com/

/////////////////////////////////////////////////////////////////////
Advanced Bind Script - Create your own version by Maxim aka BananaGaming
//Part 1 
//Make sure that what is inside the quotes is what you're currently using.
//Note: This version lets you create your own values from scratch, KEY is your button, currentvalue is the command.
alias defA "bind 1 slot1; bind q qsec"
alias defB "bind 2 slot2; bind q qprim"
alias defC "bind 3 slot3; bind q qprim"
alias defD "bind 4 slot4; bind q qprim"
alias defE "bind 5 slot5"
alias defF "bind q qprim"
alias defG "bind w +forward"
alias defH "bind e +use"
alias defI "bind r +reload"
alias defJ "bind t +jumpthrow"
alias defK "bind a +moveleft"
alias defL "bind s +back"
alias defM "bind d +moveright"
alias defN "bind f fBind"
alias defO "bind g drop"
alias defP "bind z +spray_menu"
alias defQ "bind x xBind"
alias defR "bind c cBind"
alias defS "bind v +voicerecord"
alias defT "bind b buymenu"
 
//Part 2
//If you changed any letters/numbers in part 1 make sure you make the same changes here.
//Don't change the keyXX part.
alias keyA "bind 1 keyAA"
alias keyB "bind 2 keyBB" 
alias keyC "bind 3 keyCC"
alias keyD "bind 4 keyDD"
alias keyE "bind 5 keyEE"
alias keyF "bind q keyFF"
alias keyG "bind w keyGG"
alias keyH "bind e keyHH"
alias keyI "bind r keyII"
alias keyJ "bind t keyJJ"
alias keyK "bind a keyKK"
alias keyL "bind s keyLL"
alias keyM "bind d keyMM"
alias keyN "bind f keyNN"
alias keyO "bind g keyOO"
alias keyP "bind z keyPP"
alias keyQ "bind x keyQQ"
alias keyR "bind c keyRR"
alias keyS "bind v keySS"
alias keyT "bind b keyTT"
 
//Part 3
//Here you can change what the bindings do when you hold down your key.
//This is the fun part. :)
alias keyAA "buy decoy;"
alias keyBB "buy flashbang;"
alias keyCC "buy hegrenade"
alias keyDD "buy smokegrenade;"
alias keyEE "buy molotov; buy incgrenade;"
alias keyFF "buy vest;"
alias keyGG "buy vesthelm; buy vest;"
alias keyHH "buy defuser;"
alias keyII "buy negev;"
alias keyJJ "buy scar20; buy g3sg1;"
alias keyKK "buy famas; buy galilar;"
alias keyLL "buy m4a1; buy ak47;"
alias keyMM "buy sg556; buy aug"
alias keyNN "buy ssg08;"
alias keyOO "buy awp;"
alias keyPP "buy p250;"
alias keyQQ "buy fiveseven; buy tec9;"
alias keyRR "buy deagle;"
alias keySS "buy mp9; buy mac10;"
alias keyTT "buy p90;"
 
//Part 4 - Don't touch!
alias +keybinds "keyA; keyB; keyC; keyD; keyE; keyF; keyG; keyH; keyI; keyJ; keyK; keyL; keyM; keyN; keyO; keyP; keyQ; keyR; keyS; keyT"
alias -keybinds "defA; defB; defC; defD; defE; defF; defG; defH; defI; defJ; defK; defL; defM; defN; defO; defP; defQ; defR; defS; defT"
 
//Part 5 - Bind whatever key you want, this will be your main key
bind rshift +keybinds
 
/////////////////////////////////////////////////////////////////////

host_writeconfig